/*
   This file is part of the Nepomuk KDE project.
   Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 */

#include "abstractresourceguiitem.h"


// still unused
class Nepomuk::AbstractResourceGuiItem::Private
{
};


Nepomuk::AbstractResourceGuiItem::AbstractResourceGuiItem( QObject* parent )
    : QObject( parent ),
      d( 0 )
{
}


Nepomuk::AbstractResourceGuiItem::~AbstractResourceGuiItem()
{
    delete d;
}


QSize Nepomuk::AbstractResourceGuiItem::minimumSizeHint( DisplayMode mode, const QStyleOption& option, const QUrl& resource )
{
    return sizeHint( mode, option, resource );
}


bool Nepomuk::AbstractResourceGuiItem::handleEvent( QEvent* event, DisplayMode mode, const QStyleOption& option, const QUrl& resource )
{
    Q_UNUSED( event );
    Q_UNUSED( mode );
    Q_UNUSED( option );
    Q_UNUSED( resource );
    return false;
}

#include "abstractresourceguiitem.moc"
